***In Development***
==================

User Stories
------------

Require module to start using it:

    const monduck = require('monduck');

User can pass in a uri to start a db connection:

    const dbUri = process.env.MONGODB_URI;
    const db = monduck(dbUri);

User can handle errors with event handler:
***NOT WORKING***

    db.on('error', err => console.error(err));

User defines schema(s):

    const userSchema = {
      username: {
        type: String,
        required: true,
        index: {
          unique: true
        }
      }
    };

User defines collection(s) (an array passed in for multiple collections):

    db.collection({
      model: 'Users',
      schema: userSchema
    });

User can set hooks and plugins:

    db.sethooks([
      ['Users', 'pre', 'save', callback],
      ['Users', 'pre', 'update', callback]
    ]);

    db.prehook('Users', 'save', callback)

User can use operations for each collection created:

    db['Users'].operations.read('findone', {username: 'Joe'}, (err, returnValue) => {
      console.log(err || returnValue)
    });